Subject: Re: [Nea] Review of draft-ietf-nea-pt-eap-02.txt

From: "Nancy Cam-Winget (ncamwing)" <[email-masked]>
Date: Mon, 16 Jul 2012 22:21:33 +0000

Hi Alan,

Thanks for the review and I've tried to accommodate most of your comments
in the -03 version just posted, so please see my responses below:

On 6/6/12 6:09 AM, "Alan DeKok" <[email-masked]> wrote:

>
>  Some minor notes:
>
>Section 1:
>
>   The PT-EAP protocol
>   must be protected by an outer EAP TLS-based tunnel to ensure the
>   exchanged messages are protected from a variety of threats from
>   hostile intermediaries.
>
> That should probably be MUST instead of "must".
[NCW] Agreed and fixed in latest revision.

>
> I also suggest adding text saying:
>
>  The encapsulating EAP TLS-based tunnel MUST first authenticate
>  the user prior to using PT-EAP.
>
> i.e. using EAP-TLS + PT-EAP might be OK.  Using EAP-TTLS with *only*
>PT-EAP inside the TLS tunnel should be forbidden.
[NCW] There is language in the Security Considerations and noted in
Section 5.  But as mutual authentication can be achieved also during
Tunnel establishment it can be just that (e.g. No inner method)Š.
Can you let me know if there is more language that should be added
to address your concern?
>
>
>Section 3.3:
>
>   Type
>
>      TBD
>
> Suggestion: add a discussion of what the type field means, and what it
>is likely to be used for.
[NCW] Right, it is the EAP method type, and text has been added.

>
>
>  Data
>
>      Variable length data.  The length of the Data field in a
>      particular PT-EAP message may be determined by subtracting the
>      length of the PT-EAP header fields from the value of the two octet
>      Length field.
>
> It's worth saying what the data is expected to be.  Right now,
>transport of JPGs inside of PT-EAP seems to be allowed.
[NCW] Thanks, new text has been added to limit it to PB messages
>
>
>Section 4.2.1:
>
>   In order to protect against NEA assessment message theft, the EAP
>   tunnel method carrying PT-EAP must provide strong cryptographic
>   authentication, integrity and confidentiality protection.
>
> That should probably be MUST instead of "must".
[NCW] Done.
>
>
>Section 4.2.3:
>
>   The
>   strong integrity protections (hashing) offered by EAP-TTLS allows the
>   PT-EAP message recipients to detect message alterations by other
>   types of network based adversaries.
>
> Is "hashing" a method of strong integrity protection?  Or is it just
>using the TLS message integrity methods?
[NCW] It is really the EAP Tunnel base protection, so I've updated text to
reflect this.
>
>Section 7:
>
>  There is no IANA considerations for the "Type" field.  Since it is
>being defined here, I presume there will be an IANA "PT-EAP Type"
>registry.
>
>  It would be good to add a section (7.2) describing this registry.
[NCW] I've updated the PT-EAP method Type to reflect this in Section 7 as
well.

>
>  Alan DeKok.
>
>_______________________________________________
>Nea mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/nea